/*
 * Copyright (C) 2006-2008 Andre Noll <maan@systemlinux.org>
 *
 * Licensed under the GPL v2. For licencing details see COPYING.
 */

/** \file fd.h \brief Exported symbols from fd.c */

int adu_opendir(const char *dirname, DIR **dir, int *cwd);
int adu_fchdir(int fd);
int mmap_full_file(const char *filename, int open_mode, void **map,
	size_t *size, int *fd_ptr);
int adu_munmap(void *start, size_t length);
int adu_write_file(const char *filename, const void *buf, size_t size);
int mkpath(const char *p, mode_t mode);
